.....
// spawn a process for each cell in the array
generate
for (genvar ih = 0; ih<HEIGHT; ih++)
   for (genvar iw = 0; iw<WIDTH; iw++)
      always_ff @(posedge Clk_C) begin  // sensitivity list
         integer live_neighbors;
         live_neighbors = live_neighbors_at(ih,iw);
         if (State_DP[ih][iw]=='b0 && live_neighbors==3)
            State_DP[ih][iw] <= 'b1;   // birth
         else if (State_DP[ih][iw]=='b1 && live_neighbors<=1)
            State_DP[ih][iw] <= 'b0;   // death from isolation
         else if (State_DP[ih][iw]=='b1 && live_neighbors>=4)
            State_DP[ih][iw] <= 'b0;   // death from overcrowding
       end // always_ff
endgenerate
.....
