.....
-- spawn a process for each cell in the array
row : for ih in HEIGHT-1 downto 0 generate   -- repetitive generation
   cell : for iw in WIDTH-1 downto 0 generate   -- repetitive generation
      memzing: process(Clk_C)
         subtype live_neighbors_type is integer range 0 to 8;
         variable live_neighbors : live_neighbors_type;
      begin
         if Clk_C'event and Clk_C='1' then 
            live_neighbors := live_neighbors_at(ih,iw);
            if State_DP(ih,iw)='0' and live_neighbors=3  then 
               State_DP(ih,iw) <= '1';   -- birth
            elsif State_DP(ih,iw)='1' and live_neighbors<=1 then 
               State_DP(ih,iw) <= '0';   -- death from isolation
            elsif State_DP(ih,iw)='1' and live_neighbors>=4 then 
               State_DP(ih,iw) <= '0';   -- death from overcrowding
            end if;
         end if;
      end process memzing;
   end generate cell;
end generate row;
.....
